<?php

namespace Netzmacher\Tile\Controller;

use TYPO3\CMS\Core\Utility\GeneralUtility;

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2019 - Dirk Wildt <http://wildt.at.die-netzmacher.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * AbstractFrontendController for the tile extension
 *
 * @package TYPO3
 * @subpackage tile
 * @author Dirk Wildt <http://wildt.at.die-netzmacher.de>
 * @version 0.0.7
 * @since 0.0.7
 * @internal #t3866
 */
class AbstractFrontendController extends AbstractController
{

	/**
	 * @var Netzmacher\Tile\Utility\SessionUtility
	 */
	protected $_oSessionUtility;

	/**
	 * _initObjectSession( ) :
	 *
	 * @return void
	 * @access private
	 * @version 0.0.7
	 * @since 0.0.7
	 */
	private function _initObjectSession()
	{
		$this->_oSessionUtility = GeneralUtility::makeInstance( 'Netzmacher\\Tile\\Utility\\SessionUtility' );
	}

	/**
	 * _getSessionSpace( ): Get the name of the session data space.
	 *                        The name is user, if a frontend user is logged in.
	 *                        The name is ses, if any frontend user isn't logged in.
	 *
	 * @return	string		user || ses
	 * @version 0.0.7
	 * @since 0.0.7
	 */
	protected function _getSessionSpace()
	{
		switch( $GLOBALS[ 'TSFE' ]->loginUser )
		{
			case( true ):
				return 'user';
			default:
				return 'ses';
		}
	}

	/**
	 * initObjects( ) :
	 *
	 * @return void
	 * @access private
	 * @version 0.0.7
	 * @since 0.0.7
	 */
	protected function _initObjects()
	{
		$this->_initObjectContent();
		$this->_initObjectSession();
	}

}
