<?php

namespace Netzmacher\Tile\Controller;

use Netzmacher\Tile\Utility\Module\SessionModuleUtility;

/* * *
 *
 * This file is part of the "Book a tile!" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2019 - Dirk Wildt (Die Netzmacher) <http://wildt@die-netzmacher.de>, Die Netzmacher
 *
 * * */

/**
 * CellController: backend module
 * 
 * @version 0.0.6
 * @since 0.0.1
 * @internal #t3728
 */
class CellController extends AbstractController
{

	/**
	 * initializeAction: is executed before any Action in the Controller.
	 * 
	 * @return void
	 * @version 0.0.3
	 * @since 0.0.3
	 * @internal #t3728
	 */
	public function initializeAction()
	{
		SessionModuleUtility::setSession();
	}

	/**
	 * action list
	 * 
	 * @return void
	 * @version 0.0.1
	 * @since 0.0.1
	 */
	public function listAction()
	{
		$cells = $this->cellRepository->findAll();
		$this->view->assign( 'cells', $cells );
	}

}
