<?php

namespace Netzmacher\Tile\Domain\Model;

/* * *
 *
 * This file is part of the "Book a tile!" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2019 - Dirk Wildt (Die Netzmacher) <http://wildt@die-netzmacher.de>, Die Netzmacher
 *
 * * */

/**
 * Category
 */
class Category extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

	const TABLE_NAME = 'tx_tile_domain_model_category';

	/**
	 * title
	 * 
	 * @var string
	 * @validate NotEmpty
	 */
	protected $title = '';

	/**
	 * colordisabled
	 * 
	 * @var string
	 * @validate NotEmpty
	 */
	protected $colordisabled = '';

	/**
	 * coloravailable
	 * 
	 * @var string
	 * @validate NotEmpty
	 */
	protected $coloravailable = '';

	/**
	 * colorselled
	 * 
	 * @var string
	 * @validate NotEmpty
	 */
	protected $colorselled = '';

	/**
	 * txTileCss
	 * 
	 * @var \Netzmacher\Tile\Domain\Model\Css
	 */
	protected $txTileCss = null;

	/**
	 * Returns the title
	 * 
	 * @return string $title
	 */
	public function getTitle()
	{
		return $this->title;
	}

	/**
	 * Sets the title
	 * 
	 * @param string $title
	 * @return void
	 */
	public function setTitle( $title )
	{
		$this->title = $title;
	}

	/**
	 * Returns the colordisabled
	 * 
	 * @return string $colordisabled
	 */
	public function getColordisabled()
	{
		return $this->colordisabled;
	}

	/**
	 * Sets the colordisabled
	 * 
	 * @param string $colordisabled
	 * @return void
	 */
	public function setColordisabled( $colordisabled )
	{
		$this->colordisabled = $colordisabled;
	}

	/**
	 * Returns the coloravailable
	 * 
	 * @return string $coloravailable
	 */
	public function getColoravailable()
	{
		return $this->coloravailable;
	}

	/**
	 * Sets the coloravailable
	 * 
	 * @param string $coloravailable
	 * @return void
	 */
	public function setColoravailable( $coloravailable )
	{
		$this->coloravailable = $coloravailable;
	}

	/**
	 * Returns the colorselled
	 * 
	 * @return string $colorselled
	 */
	public function getColorselled()
	{
		return $this->colorselled;
	}

	/**
	 * Sets the colorselled
	 * 
	 * @param string $colorselled
	 * @return void
	 */
	public function setColorselled( $colorselled )
	{
		$this->colorselled = $colorselled;
	}

	/**
	 * Returns the txTileCss
	 * 
	 * @return \Netzmacher\Tile\Domain\Model\Css $txTileCss
	 */
	public function getTxTileCss()
	{
		return $this->txTileCss;
	}

	/**
	 * Sets the txTileCss
	 * 
	 * @param \Netzmacher\Tile\Domain\Model\Css $txTileCss
	 * @return void
	 */
	public function setTxTileCss( \Netzmacher\Tile\Domain\Model\Css $txTileCss )
	{
		$this->txTileCss = $txTileCss;
	}

}