<?php

namespace Netzmacher\Tile\Domain\Model;

/* * *
 *
 * This file is part of the "Book a tile!" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2019 - Dirk Wildt (Die Netzmacher) <http://wildt@die-netzmacher.de>, Die Netzmacher
 *
 * * */

/**
 * Page
 * 
 * @internal #t3869
 */
class Content extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

	/**
	 * header
	 * 
	 * @var string
	 * @validate NotEmpty
	 */
	protected $header = '';

	/**
	 * pid
	 * 
	 * @var integer
	 */
	protected $pid = '';

	/**
	 * uid
	 * 
	 * @var integer
	 */
	protected $uid = '';

	/**
	 * Returns the header
	 * 
	 * @return string $header
	 */
	public function getHeader()
	{
		return $this->header;
	}

	/**
	 * Sets the header
	 * 
	 * @param string $header
	 * @return void
	 */
	public function setHeader( $header )
	{
		$this->header = $header;
	}

	/**
	 * Returns the pid
	 * 
	 * @return string $pid
	 */
	public function getPid()
	{
		return $this->pid;
	}

	/**
	 * Sets the pid
	 * 
	 * @param string $pid
	 * @return void
	 */
	public function setPid( $pid )
	{
		$this->pid = $pid;
	}

	/**
	 * Returns the uid
	 * 
	 * @return string $uid
	 */
	public function getUid()
	{
		return $this->uid;
	}

	/**
	 * Sets the uid
	 * 
	 * @param string $uid
	 * @return void
	 */
	public function setUid( $uid )
	{
		$this->uid = $uid;
	}

}
