<?php

namespace Netzmacher\Tile\Domain\Model;

/* * *
 *
 * This file is part of the "Book a tile!" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2019 - Dirk Wildt (Die Netzmacher) <http://wildt@die-netzmacher.de>, Die Netzmacher
 *
 * * */

/**
 * Css
 * 
 * @version 0.0.3
 * @since 0.0.3
 * @internal #t3731
 */
class Css extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

	const TABLE_NAME = 'tx_tile_domain_model_css';

	/**
	 * class
	 * 
	 * @var string
	 * @validate NotEmpty
	 */
	protected $class = '';

	/**
	 * color
	 * 
	 * @var string
	 * @validate NotEmpty
	 */
	protected $color = '';

	/**
	 * opacity
	 * 
	 * @var string
	 * @validate NotEmpty
	 */
	protected $opacity = '';

	/**
	 * title
	 * 
	 * @var string
	 * @validate NotEmpty
	 */
	protected $title = '';

	/**
	 * Returns the class
	 * 
	 * @return string $class
	 */
	public function getClass()
	{
		return $this->class;
	}

	/**
	 * Sets the class
	 * 
	 * @param string $class
	 * @return void
	 */
	public function setClass( $class )
	{
		$this->class = $class;
	}

	/**
	 * Returns the color
	 * 
	 * @return string $color
	 */
	public function getColor()
	{
		return $this->color;
	}

	/**
	 * Sets the color
	 * 
	 * @param string $color
	 * @return void
	 */
	public function setColor( $color )
	{
		$this->color = $color;
	}

	/**
	 * Returns the opacity
	 * 
	 * @return string $opacity
	 */
	public function getOpacity()
	{
		return $this->opacity;
	}

	/**
	 * Sets the opacity
	 * 
	 * @param string $opacity
	 * @return void
	 */
	public function setOpacity( $opacity )
	{
		$this->opacity = $opacity;
	}

	/**
	 * Returns the title
	 * 
	 * @return string $title
	 */
	public function getTitle()
	{
		return $this->title;
	}

	/**
	 * Sets the title
	 * 
	 * @param string $title
	 * @return void
	 */
	public function setTitle( $title )
	{
		$this->title = $title;
	}

}
