<?php

namespace Netzmacher\Tile\Domain\Model;

/* * *
 *
 * This file is part of the "Book a tile!" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2019 - Dirk Wildt (Die Netzmacher) <http://wildt@die-netzmacher.de>, Die Netzmacher
 *
 * * */

/**
 * Page
 * 
 * @internal #t3823, t3843
 */
class Page extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

	/**
	 * doktype
	 * 
	 * @var integer
	 */
	protected $doktype = '';

	/**
	 * image
	 * 
	 * @var \TYPO3\CMS\Extbase\Domain\Model\FileReference
	 * @internal http://keinerweiss.de/755-typo3-fal-in-einer-eigenen-extbasefluid-extension-einsetzen.html
	 */
	protected $image = 0;

	/**
	 * title
	 * 
	 * @var string
	 * @validate NotEmpty
	 */
	protected $title = '';

	/**
	 * Returns the doktype
	 * 
	 * @return string $doktype
	 */
	public function getDoktype()
	{
		return $this->doktype;
	}

	/**
	 * Sets the doktype
	 * 
	 * @param string $doktype
	 * @return void
	 */
	public function setDoktype( $doktype )
	{
		$this->doktype = $doktype;
	}

	/**
	 * Returns the image
	 * 
	 * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\CMS\Extbase\Domain\Model\FileReference> $image
	 * @internal http://keinerweiss.de/755-typo3-fal-in-einer-eigenen-extbasefluid-extension-einsetzen.html
	 */
	public function getImage()
	{
		return $this->image;
	}

	/**
	 * Sets the image
	 * 
	 * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\CMS\Extbase\Domain\Model\FileReference> $image
	 * @return void
	 * @internal http://keinerweiss.de/755-typo3-fal-in-einer-eigenen-extbasefluid-extension-einsetzen.html
	 */
	public function setImage( $image )
	{
		$this->image = $image;
	}

	/**
	 * Returns the title
	 * 
	 * @return string $title
	 */
	public function getTitle()
	{
		return $this->title;
	}

	/**
	 * Sets the title
	 * 
	 * @param string $title
	 * @return void
	 */
	public function setTitle( $title )
	{
		$this->title = $title;
	}

}
