<?php

namespace Netzmacher\Tile\Domain\Model;

/* * *
 *
 * This file is part of the "Book a tile!" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2019 - Dirk Wildt (Die Netzmacher) <http://wildt@die-netzmacher.de>, Die Netzmacher
 *
 * * */

/**
 * Product
 */
class Product extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

	const TABLE_NAME = 'tx_quickshop_products';

	/**
	 * description
	 * 
	 * @var string
	 */
	protected $description = '';

	/**
	 * price
	 * 
	 * @var float
	 */
	protected $price = '';

	/**
	 * quantity_max
	 * 
	 * @var integer
	 */
	protected $quantityMax = '';

	/**
	 * short
	 * 
	 * @var string
	 */
	protected $short = '';

	/**
	 * sku
	 * 
	 * @var string
	 */
	protected $sku = '';

	/**
	 * stockmanagement
	 * 
	 * @var boolean
	 */
	protected $stockmanagement = '';

	/**
	 * stockquantity
	 * 
	 * @var integer
	 */
	protected $stockquantity = '';
	
	/**
	 * tax
	 * 
	 * @var integer
	 */
	protected $tax = 1;

	/**
	 * title
	 * 
	 * @var string
	 * @validate NotEmpty
	 */
	protected $title = '';

	/**
	 * type
	 * 
	 * @var string
	 */
	protected $type = 'record';

	/**
	 * uid
	 * 
	 * @var integer
	 */
	protected $uid = null;

	/**
	 * Returns the description
	 * 
	 * @return string $description
	 */
	public function getDescription()
	{
		return $this->description;
	}

	/**
	 * Sets the description
	 * 
	 * @param string $description
	 * @return void
	 */
	public function setDescription( $description )
	{
		$this->description = $description;
	}

	/**
	 * Returns the price
	 * 
	 * @return float $price
	 */
	public function getPrice() : float
	{
		return $this->price;
	}

	/**
	 * Sets the price
	 * 
	 * @param float $price
	 * @return void
	 */
	public function setPrice( $price )
	{
		$this->price = $price;
	}

	/**
	 * Returns the quantityMax
	 * 
	 * @return string $quantityMax
	 */
	public function getQuantityMax()
	{
		return $this->quantityMax;
	}

	/**
	 * Sets the quantityMax
	 * 
	 * @param string $quantityMax
	 * @return void
	 */
	public function setQuantityMax( $quantityMax )
	{
		$this->quantityMax = $quantityMax;
	}

	/**
	 * Returns the short
	 * 
	 * @return string $short
	 */
	public function getShort()
	{
		return $this->short;
	}

	/**
	 * Sets the short
	 * 
	 * @param string $short
	 * @return void
	 */
	public function setShort( $short )
	{
		$this->short = $short;
	}

	/**
	 * Returns the sku
	 * 
	 * @return string $sku
	 */
	public function getSku()
	{
		return $this->sku;
	}

	/**
	 * Sets the sku
	 * 
	 * @param string $sku
	 * @return void
	 */
	public function setSku( $sku )
	{
		$this->sku = $sku;
	}

	/**
	 * Returns the stockmanagement
	 * 
	 * @return boolean $stockmanagement
	 */
	public function getStockmanagement() : bool
	{
		return $this->stockmanagement;
	}

	/**
	 * Sets the stockmanagement
	 * 
	 * @param boolean $stockmanagement
	 * @return void
	 */
	public function setStockmanagement( $stockmanagement )
	{
		$this->stockmanagement = $stockmanagement;
	}

	/**
	 * Returns the stockquantity
	 * 
	 * @return integer $stockquantity
	 */
	public function getStockquantity() : int
	{
		return $this->stockquantity;
	}

	/**
	 * Sets the stockquantity
	 * 
	 * @param integer $stockquantity
	 * @return void
	 */
	public function setStockquantity( $stockquantity )
	{
		$this->stockquantity = $stockquantity;
	}

	/**
	 * Returns the tax
	 * 
	 * @return integer $tax
	 */
	public function getTax()
	{
		return $this->tax;
	}

	/**
	 * Sets the tax
	 * 
	 * @param integer $tax
	 * @return void
	 */
	public function setTax( $tax )
	{
		$this->tax = $tax;
	}


	/**
	 * Returns the title
	 * 
	 * @return string $title
	 */
	public function getTitle()
	{
		return $this->title;
	}

	/**
	 * Sets the title
	 * 
	 * @param string $title
	 * @return void
	 */
	public function setTitle( $title )
	{
		$this->title = $title;
	}

	/**
	 * Returns the type
	 * 
	 * @return string $type
	 */
	public function getType()
	{
		return $this->type;
	}

	/**
	 * Sets the type
	 * 
	 * @param string $type
	 * @return void
	 */
	public function setType( $type )
	{
		$this->type = $type;
	}

	/**
	 * Returns the uid
	 * 
	 * @return string $uid
	 */
	public function getUid()
	{
		return $this->uid;
	}

	/**
	 * Sets the uid
	 * 
	 * @param string $uid
	 * @return void
	 */
	public function setUid( $uid )
	{
		$this->uid = $uid;
	}

}