<?php

namespace Netzmacher\Tile\Domain\Model;

/* * *
 *
 * This file is part of the "Book a tile!" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2019 - Dirk Wildt (Die Netzmacher) <http://wildt@die-netzmacher.de>, Die Netzmacher
 *
 * * */

/**
 * Ticket
 */
class Ticket extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

	const TABLE_NAME = 'tx_tile_domain_model_ticket';

	/**
	 * price
	 * 
	 * @var float
	 */
	protected $price = '0.00';
	
	/**
	 * tax
	 * 
	 * @var integer
	 */
	protected $tax = 1;
	
	/**
	 * title
	 * 
	 * @var string
	 * @validate NotEmpty
	 */
	protected $title = '';

	/**
	 * txTileCsscaddy
	 * 
	 * @var \Netzmacher\Tile\Domain\Model\Css
	 */
	protected $txTileCsscaddy = null;

	/**
	 * txTileCssdefault
	 * 
	 * @var \Netzmacher\Tile\Domain\Model\Css
	 */
	protected $txTileCssdefault = null;

	/**
	 * txTileCssselled
	 * 
	 * @var \Netzmacher\Tile\Domain\Model\Css
	 */
	protected $txTileCssselled = null;

	/**
	 * Returns the price
	 * 
	 * @return string $price
	 */
	public function getPrice()
	{
		return $this->price;
	}

	/**
	 * Sets the price
	 * 
	 * @param string $price
	 * @return void
	 */
	public function setPrice( $price )
	{
		$this->price = $price;
	}

	/**
	 * Returns the tax
	 * 
	 * @return integer $tax
	 */
	public function getTax()
	{
		return $this->tax;
	}

	/**
	 * Sets the tax
	 * 
	 * @param integer $tax
	 * @return void
	 */
	public function setTax( $tax )
	{
		$this->tax = $tax;
	}

	/**
	 * Returns the title
	 * 
	 * @return string $title
	 */
	public function getTitle()
	{
		return $this->title;
	}

	/**
	 * Sets the title
	 * 
	 * @param string $title
	 * @return void
	 */
	public function setTitle( $title )
	{
		$this->title = $title;
	}

	/**
	 * Returns the txTileCsscaddy
	 * 
	 * @return \Netzmacher\Tile\Domain\Model\Css $txTileCsscaddy
	 */
	public function getTxTileCsscaddy()
	{
		return $this->txTileCsscaddy;
	}

	/**
	 * Sets the txTileCsscaddy
	 * 
	 * @param \Netzmacher\Tile\Domain\Model\Css $txTileCsscaddy
	 * @return void
	 */
	public function setTxTileCsscaddy( \Netzmacher\Tile\Domain\Model\Css $txTileCsscaddy )
	{
		$this->txTileCsscaddy = $txTileCsscaddy;
	}

	/**
	 * Returns the txTileCssdefault
	 * 
	 * @return \Netzmacher\Tile\Domain\Model\Css $txTileCssdefault
	 */
	public function getTxTileCssdefault()
	{
		return $this->txTileCssdefault;
	}

	/**
	 * Sets the txTileCssdefault
	 * 
	 * @param \Netzmacher\Tile\Domain\Model\Css $txTileCssdefault
	 * @return void
	 */
	public function setTxTileCssdefault( \Netzmacher\Tile\Domain\Model\Css $txTileCssdefault )
	{
		$this->txTileCssdefault = $txTileCssdefault;
	}

	/**
	 * Returns the txTileCssselled
	 * 
	 * @return \Netzmacher\Tile\Domain\Model\Css $txTileCssselled
	 */
	public function getTxTileCssselled()
	{
		return $this->txTileCssselled;
	}

	/**
	 * Sets the txTileCssselled
	 * 
	 * @param \Netzmacher\Tile\Domain\Model\Css $txTileCssselled
	 * @return void
	 */
	public function setTxTileCssselled( \Netzmacher\Tile\Domain\Model\Css $txTileCssselled )
	{
		$this->txTileCssselled = $txTileCssselled;
	}

}
