<?php

//declare(strict_types = 1);

namespace Netzmacher\Tile\Tca\Form;

use TYPO3\CMS\Backend\Form\Element\AbstractFormElement;

class Prompt extends AbstractFormElement
{

	/**
	 * render
	 *
	 * @return string	HTML prompt
	 */
	public function render()
	{
		// Custom TCA properties and other data can be found in $this->data, for example the above
		$parameters = $this->data[ 'parameterArray' ][ 'fieldConf' ][ 'config' ][ 'parameters' ];

		$prompt = $parameters[ 'prompt' ];

		$prompt = $GLOBALS[ 'LANG' ]->sL( 'LLL:EXT:tile/Resources/Private/Language/TCA/prompt.xlf:' . $prompt . '.prompt' );

		if( !empty( $prompt ) )
		{
			return $this->_calloutWrap( $prompt, 'warning' );
		}
		return $this->_errorSwitch( __LINE__, $prompt );
//		switch( $prompt )
//		{
//			case('dontEditRemove'):
//			case('readonly'):
//				$prompt = $GLOBALS[ 'LANG' ]->sL( 'LLL:EXT:tile/Resources/Private/Language/TCA/prompt.xlf:' . $prompt . '.prompt' );
//			default:
//				return $this->_errorSwitch( __LINE__, $prompt );
//		}
	}

	/**
	 * _errorSwitch
	 * 
	 * @param integer number of line
	 * @param string	value of switch
	 *
	 * @return string	HTML prompt
	 */
	private function _errorSwitch( $line, $prompt )
	{
		$result = $this->initializeResultArray();
		$result[ 'html' ] = __METHOD__ . ' (#' . $line . '): undefined value in switch: "' . $prompt . '"';
		return $result;
	}

	/**
	 * _calloutWrap
	 * 
	 * @param string	$prompt
	 * @param string	$type type of the callout
	 *
	 * @return string	HTML prompt
	 */
	private function _calloutWrap( $prompt, $callout = 'default' )
	{
		//.callout-default
		//.callout-primary
		//.callout-success
		//.callout-info
		//.callout-warning
		//.callout-danger
		$result = $this->initializeResultArray();
		$result[ 'html' ] = '
			<div class="callout callout-' . $callout . '">
		    <div class="media">
					<div class="media-left">
						<span class="fa-stack fa-lg callout-icon">
							<i class="fa fa-circle fa-stack-2x"></i>
							<i class="fa fa-lightbulb-o fa-stack-1x"></i>
						</span>
					</div>
					<div class="media-body">
						<div class="callout-body">
							' . $prompt . '
						</div>
					</div>
				</div>
			</div>
			'
		;

		return $result;
	}

}
