<?php

namespace Netzmacher\Tile\Utility\Module;

/* * *
 *
 * This file is part of the "Book a tile!" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2019 - Dirk Wildt (Die Netzmacher) <http://wildt@die-netzmacher.de>, Die Netzmacher
 *
 * * */

/**
 * AreaModuleUtility
 * 
 * @version 0.0.6
 * @since 0.0.6
 * @internal #t3830
 */
class AreaModuleUtility
{

	/**
	 * _getAutoElementsForGridCSS: Creates the auto-elements for the CSS property grid-template-columns
	 * 
	 * @param \Netzmacher\Tile\Domain\Model\Area $area
	 * @return void
	 * @version 0.0.6
	 * @since 0.0.1
	 */
	public static function getAutoElementsForGridCSS( \Netzmacher\Tile\Domain\Model\Area $area )
	{
		$arrAuto = null;
		for( $x = 1; $x <= $area->getLenx(); $x++ )
		{
			$arrAuto[] = 'auto';
		}
		$strAuto = implode( ' ', ( array ) $arrAuto );
		return $strAuto;
	}

}
