<?php

namespace Netzmacher\Tile\Utility\Module;

/* * *
 *
 * This file is part of the "Book a tile!" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2019 - Dirk Wildt (Die Netzmacher) <http://wildt@die-netzmacher.de>, Die Netzmacher
 *
 * * */

/**
 * CellModuleUtility
 * 
 * @version 0.0.6
 * @since 0.0.6
 * @internal #t3830
 */
class CellModuleUtility
{


	/**
	 * _getCategories()
	 * 
	 * @param \Netzmacher\Tile\Domain\Model\Cell $formerCell
	 * @param \Netzmacher\Tile\Domain\Model\Cell $cell
	 * 	 
	 * @return array $xyRange
	 * @version 0.0.5
	 * @since 0.0.5
	 * @internal #t3749
	 */
	public static function getXsYsOrdered( $formerCell, $cell )
	{
		if( $formerCell->getX() < $cell->getX() )
		{
			$maxX = $cell->getX();
			$minX = $formerCell->getX();
		}
		else
		{
			$maxX = $formerCell->getX();
			$minX = $cell->getX();
		}
		if( $formerCell->getY() < $cell->getY() )
		{
			$maxY = $cell->getY();
			$minY = $formerCell->getY();
		}
		else
		{
			$maxY = $formerCell->getY();
			$minY = $cell->getY();
		}
		$xyRange = [
				'maxX' => $maxX
				, 'maxY' => $maxY
				, 'minX' => $minX
				, 'minY' => $minY
		];

		return $xyRange;
	}

}
