<?php

//declare(strict_types=1);

namespace Netzmacher\Tile\ViewHelpers\Get;

use TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper;

/**
 * Class AbstractBaseViewhelper
 * 
 * @version 0.0.8
 * @since 0.0.8
 */
class AbstractColorViewHelper extends AbstractViewHelper
{

	/**
	 * _getFlexformValue():
	 *
	 * @param string method
	 * @param string line
	 * @param string flexform
	 * @param string label of the sheet
	 * @param string label of the field
	 * @return mixed value from flexform
	 * @access protected
	 * @version 0.0.8
	 * @since 0.0.8
	 */
	protected function _hex2rgba( $color, $opacity = false )
	{

		$default = 'rgb(0,0,0)';

		//Return default if no color provided
		if( empty( $color ) )
		{
			return $default;
		}

		//Sanitize $color if "#" is provided 
		if( $color[ 0 ] == '#' )
		{
			$color = substr( $color, 1 );
		}

		//Check if color has 6 or 3 characters and get values
		if( strlen( $color ) == 6 )
		{
			$hex = array( $color[ 0 ] . $color[ 1 ], $color[ 2 ] . $color[ 3 ], $color[ 4 ] . $color[ 5 ] );
		}
		elseif( strlen( $color ) == 3 )
		{
			$hex = array( $color[ 0 ] . $color[ 0 ], $color[ 1 ] . $color[ 1 ], $color[ 2 ] . $color[ 2 ] );
		}
		else
		{
			return $default;
		}

		//Convert hexadec to rgb
		$rgb = array_map( 'hexdec', $hex );

		//Check if opacity is set(rgba or rgb)
		if( $opacity )
		{
			if( abs( $opacity ) > 1 )
			{
				$opacity = 1.0;
			}
			$output = 'rgba(' . implode( ",", $rgb ) . ',' . $opacity . ')';
		}
		else
		{
			$output = 'rgb(' . implode( ",", $rgb ) . ')';
		}

		//Return rgb(a) color string
		return $output;
	}

}
