<?php

//declare(strict_types=1);
namespace Netzmacher\Tile\ViewHelpers\Get;
use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper;

/**
 * Class AbstractBaseViewhelper
 * 
 * @version 0.0.8
 * @since 0.0.8
 */
class AbstractFlexformViewHelper extends AbstractViewHelper
{


	/**
	 * _getFlexformValue():
	 *
	 * @param string method
	 * @param string line
	 * @param string flexform
	 * @param string label of the sheet
	 * @param string label of the field
	 * @return mixed value from flexform
	 * @access protected
	 * @version 0.0.8
	 * @since 0.0.8
	 */
	protected function _getFlexformValue( $method, $line, $xmlFlexform, $sheet, $field )
	{
		$NSprefix = '';
		$reportDocTag = false;

		$arrFlexform = GeneralUtility::xml2array( $xmlFlexform, $NSprefix, $reportDocTag );

		if( !isset( $arrFlexform[ 'data' ][ $sheet ][ 'lDEF' ][ $field ][ 'vDEF' ] ) )
		{
			$this->_getFlexformValueDiePrompt( $method, $line, $sheet, $field );
		}

		return $arrFlexform[ 'data' ][ $sheet ][ 'lDEF' ][ $field ][ 'vDEF' ];
	}

	/**
	 * _getFlexformValueDiePrompt():
	 *
	 * @param string method
	 * @param string line
	 * @param string label of the sheet
	 * @param string label of the field
	 * @return mixed value from flexform
	 * @access protected
	 * @version 0.0.8
	 * @since 0.0.8
	 */
	private function _getFlexformValueDiePrompt( $method, $line, $sheet, $field )
	{
		$prompt = ''
						. '<h1>'
						. 'ERROR'
						. '</h1>'
						. 'Current flexform doesn\'t contain a sheet ' . $sheet . ' with field ' . $field . '<br />'
						. 'Maybe the flexform wasn\'t saved once. Please save it and try again.<br />'
						. '<br />'
						. 'Error occurs @ ' . $method . ' (#' . $line . ')'
		;
		die( $prompt );
	}

}
