<?php

//declare(strict_types=1);

namespace Netzmacher\Tile\ViewHelpers\Get;

use Netzmacher\Tile\Utility\Caddy\CaddySessionUtility;
use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper;

/**
 * Class CaddySessionViewHelper
 * 
 * @version 0.0.8
 * @since 0.0.8
 * @internal #t3869
 */
class CaddySessionViewHelper extends AbstractViewHelper
{

	/**
	 * @param integer $caddyPid
	 * 
	 * @return array
	 */
	private function _getUidsFromCaddy( $caddyPid )
	{
		static $uids = null;

		if( !empty( $uids ) )
		{
			return $uids;
		}

		$CaddySessionUtility = GeneralUtility::makeInstance( CaddySessionUtility::class, $caddyPid );
		$sessionData = $CaddySessionUtility->GetSessionData();
//		var_dump( __METHOD__, __LINE__,$sessionData[ 'items' ] );

		foreach( ( array ) $sessionData[ 'items' ] as $item )
		{
			$uids[] = $item[ 'uid' ];
		}

		return $uids;
	}

	/**
	 * @param integer $caddyPid
	 * @param integer $productUid
	 * 
	 * @return boolean
	 */
	private function _productIsInCaddy( $caddyPid, $productUid ) : bool
	{
		$uidsFromCaddy = $this->_getUidsFromCaddy( $caddyPid );

		if( empty( $uidsFromCaddy ) )
		{
			return false;
		}

		if( in_array( $productUid, $uidsFromCaddy ) )
		{
			return true;
		}

		return false;
		var_dump( __METHOD__, __LINE__, $caddyPid, $productUid, $uidsFromCaddy );
		die();
	}

	/**
	 * @return void
	 */
	public function initializeArguments()
	{
		parent::initializeArguments();
		$this->registerArgument( 'method', 'string', 'method', false, 0 );
		$this->registerArgument( 'caddyPid', 'int', 'caddyPid', false, 0 );
		$this->registerArgument( 'productUid', 'int', 'productUid', false, null );
	}

	/**
	 * @return string
	 */
	public function render(): string
	{
		$method = $this->arguments[ 'method' ];
		$caddyPid = $this->arguments[ 'caddyPid' ];
		$productUid = $this->arguments[ 'productUid' ];

		switch( $method )
		{
			case('productIsInCaddy'):
				if( empty( $productUid ) )
				{
					return false;
				}
				return $this->_productIsInCaddy( $caddyPid, $productUid );
			default:
				var_dump( __METHOD__, __LINE__, 'Error in switch! Undefined method "' . $method . '"' );
				die();
		}
	}

}
