<?php

//declare(strict_types=1);

namespace Netzmacher\Tile\ViewHelpers\Get;

use Netzmacher\Tile\Domain\Repository\CssRepository;
use Netzmacher\Tile\Utility\ObjectUtility;

/**
 * Class GetCellCategoryCssViewHelper
 * 
 * @version 0.0.3
 * @since 0.0.3
 * @internal #t3731
 */
class CssClassesViewHelper extends AbstractColorViewHelper
{

	/**
	 * @return void
	 */
	public function initializeArguments()
	{
		parent::initializeArguments();
		$this->registerArgument( 'prefix', 'string', 'prefix', false, '' );
	}

	/**
	 * @return string
	 */
	public function render(): string
	{
		$arrReturn = null;
		$strReturn = null;
		$prefix = $this->arguments[ 'prefix' ];

		$cssRepository = ObjectUtility::getObjectManager()->get( CssRepository::class );
		$csss = $cssRepository->findAll();

		if( empty( $csss ) )
		{
			return '';
		}


		foreach( $csss as $css )
		{
			$arrReturn[] = '' .
							$prefix . '.' . $css->getClass() . ' {	
	background-color: ' . $this->_hex2rgba( $css->getColor(), $css->getOpacity() ) . ';
}
';
		}
		$strReturn = implode( PHP_EOL, ( array ) $arrReturn );
//		var_dump(__METHOD__, __LINE__, $strReturn);

		if( !empty( $strReturn ) )
		{
			return $strReturn;
		}
	
		return '';
	}

}
