<?php

//declare(strict_types=1);

namespace Netzmacher\Tile\ViewHelpers\Get;

use Netzmacher\Tile\Domain\Repository\GroupRepository;
use Netzmacher\Tile\Utility\ObjectUtility;
use TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper;

/**
 * Class GroupFieldViewHelper
 * 
 * @version 0.0.6
 * @since 0.0.6
 * @internal #t3812
 */
class GroupFieldViewHelper extends AbstractViewHelper
{

	/**
	 * @return void
	 */
	public function initializeArguments()
	{
		parent::initializeArguments();
		$this->registerArgument( 'default', 'string', 'default', false, '' );
		$this->registerArgument( 'field', 'string', 'field', false, 0 );
		$this->registerArgument( 'prefix', 'string', 'prefix', false, '' );
		$this->registerArgument( 'uid', 'int', 'uid', false, 0 );
	}

	/**
	 * @return string
	 */
	public function render(): string
	{
		$default = $this->arguments[ 'default' ];
		$field = $this->arguments[ 'field' ];
		$prefix = $this->arguments[ 'prefix' ];
		$uid = $this->arguments[ 'uid' ];

		if( empty( $uid ) )
		{
			return $default;
		}

		$groupRepository = ObjectUtility::getObjectManager()->get( GroupRepository::class );
		$group = $groupRepository->findByUid( $uid );

		if( empty( $group ) )
		{
			return $default;
		}

		switch( $field )
		{
			case('title'):
				return $prefix . $group->getTitle();
			default:
				var_dump( __METHOD__, __LINE__, 'Error in switch! Undefined field "' . $field . '"' );
				die();
		}
	}

}