<?php

//declare(strict_types=1);

namespace Netzmacher\Tile\ViewHelpers\Get;

use TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper;

/**
 * Class ProductFieldViewHelper
 * 
 * @version 0.0.7
 * @since 0.0.7
 * @internal #t3867
 */
class ProductFieldViewHelper extends AbstractViewHelper
{

	/**
	 * @return void
	 */
	public function initializeArguments()
	{
		parent::initializeArguments();
		$this->registerArgument( 'currency', 'string', 'currency', false, 'EUR' );
		$this->registerArgument( 'default', 'string', 'default', false, '' );
		$this->registerArgument( 'field', 'string', 'field', false, 0 );
		$this->registerArgument( 'locale', 'string', 'locale', false, 'de_DE' );
		$this->registerArgument( 'prefix', 'string', 'prefix', false, '' );
		$this->registerArgument( 'uid', 'int', 'uid', false, 0 );
		$this->registerArgument( 'product', 'Netzmacher\Tile\Domain\Model\Product', 'product', false, null );
	}

	/**
	 * @return string
	 */
	public function render(): string
	{
		$default = $this->arguments[ 'default' ];
		$field = $this->arguments[ 'field' ];
		$prefix = $this->arguments[ 'prefix' ];
		$uid = $this->arguments[ 'uid' ];
		$locale = $this->arguments[ 'locale' ];
		$currency = $this->arguments[ 'currency' ];
		$product = $this->arguments[ 'product' ];

//		var_dump(__METHOD__, __LINE__, serialize($product));
//		die();

//		if( empty( $uid ) )
//		{
//			return $default;
//		}
//
//		$productRepository = ObjectUtility::getObjectManager()->get( ProductRepository::class );
//		$product = $productRepository->findByUid( $uid );

		if( empty( $product ) )
		{
			return $default;
		}
		
//		var_dump(__METHOD__, __LINE__, serialize($product));
//		die();

		switch( $field )
		{
			case('title'):
				return $prefix . $product->getTitle();
			case('price'):
				setlocale( LC_MONETARY, $locale );
				$price = ' (' . money_format( '%.2n', $product->getPrice() ) . ' ' . $currency . ')';
				return $prefix . $price;
			default:
				var_dump( __METHOD__, __LINE__, 'Error in switch!Undefined field "' . $field . '"' );
				die();
		}
	}

}
