<?php

//declare(strict_types=1);

namespace Netzmacher\Tile\ViewHelpers\Get;

use Netzmacher\Tile\Domain\Repository\TicketRepository;
use Netzmacher\Tile\Utility\ObjectUtility;
use TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper;

/**
 * Class TicketFieldViewHelper
 * 
 * @version 0.0.6
 * @since 0.0.6
 * @internal #t3812
 */
class TicketFieldViewHelper extends AbstractViewHelper
{

	/**
	 * @return void
	 */
	public function initializeArguments()
	{
		parent::initializeArguments();
		$this->registerArgument( 'currency', 'string', 'currency', false, 'EUR' );
		$this->registerArgument( 'default', 'string', 'default', false, '' );
		$this->registerArgument( 'field', 'string', 'field', false, 0 );
		$this->registerArgument( 'locale', 'string', 'locale', false, 'de_DE' );
		$this->registerArgument( 'prefix', 'string', 'prefix', false, '' );
		$this->registerArgument( 'uid', 'int', 'uid', false, 0 );
	}

	/**
	 * @return string
	 */
	public function render(): string
	{
		$default = $this->arguments[ 'default' ];
		$field = $this->arguments[ 'field' ];
		$prefix = $this->arguments[ 'prefix' ];
		$uid = $this->arguments[ 'uid' ];
		$locale = $this->arguments[ 'locale' ];
		$currency = $this->arguments[ 'currency' ];

		if( empty( $uid ) )
		{
			return $default;
		}

		$ticketRepository = ObjectUtility::getObjectManager()->get( TicketRepository::class );
		$ticket = $ticketRepository->findByUid( $uid );

		if( empty( $ticket ) )
		{
			return $default;
		}

		switch( $field )
		{
			case('title'):
				return $prefix . $ticket->getTitle();
			case('price'):
				setlocale( LC_MONETARY, $locale );
				$price = ' (' . money_format( '%.2n', $ticket->getPrice() ) . ' ' . $currency . ')';
				return $prefix . $price;
			default:
				var_dump( __METHOD__, __LINE__, 'Error in switch!Undefined field "' . $field . '"' );
				die();
		}
	}

}
