<?php

$confArr = unserialize( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'tile' ] );

return [
		'ctrl' => [
				'title' => 'LLL:EXT:tile/Resources/Private/Language/locallang_db.xlf:tx_tile_domain_model_area',
				'label' => 'title',
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'default_sortby' => 'ORDER BY title',
				'versioningWS' => true,
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'hideTable' => $confArr[ 'tcaReadonly' ],
				'readOnly' => $confArr[ 'tcaReadonly' ],
				'rootLevel' => -1,
//				'delete' => 'deleted',
				'enablecolumns' => [
//						'disabled' => 'hidden',
//						'starttime' => 'starttime',
//						'endtime' => 'endtime',
				],
				'searchFields' => ''
				. 'title,'
				. 'leny'
				,
				'iconfile' => 'EXT:tile/Resources/Public/Icons/tx_tile_domain_model_area.gif',
				'thumbnail' => 'image',
				'type' => 'type',
				'typeicon_column' => 'type',
				'typeicon_classes' => [
						0 => 'ext-tile-area-template'
						, 1 => 'ext-tile-area-clone'
				],
		],
		'interface' => [
				'showRecordFieldList' => ''
				. 'promptReadonly, '
				. 'title, '
//				. 'type, '
				. 'image,'
				. 'displaycell, '
				. 'tx_tile_cell, '
		],
		'types' => [
				'0' => [ 'showitem' => ''
						. 'promptReadonly, '
//						. 'sys_language_uid, l10n_parent, l10n_diffsource, '
//						. 'hidden, '
						. 'title, '
//						. 'type, '
//						. 'lenx, leny, '
						. 'image,'
						. 'displaycell, '
						. 'tx_tile_cell, '
//						. '--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.access, '
//						. 'starttime, endtime'
				],
				'1' => [ 'showitem' => ''
						. 'promptReadonly, '
//						. 'sys_language_uid, l10n_parent, l10n_diffsource, '
//						. 'hidden, '
						. 'title, '
//						. 'type, '
//						. 'lenx, leny, '
						. 'image, '
						. 'displaycell, '
						. 'tx_tile_cell, '
//						. '--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.access, '
//						. 'starttime, endtime'
				],
		],
		'columns' => [
				'sys_language_uid' => [
						'exclude' => true,
						'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.language',
						'config' => [
								'type' => 'select',
								'renderType' => 'selectSingle',
								'special' => 'languages',
								'items' => [
										[
												'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.allLanguages',
												-1,
												'flags-multiple'
										]
								],
								'default' => 0,
						],
				],
				'l10n_parent' => [
						'displayCond' => 'FIELD:sys_language_uid:>:0',
						'exclude' => true,
						'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.l18n_parent',
						'config' => [
								'type' => 'select',
								'renderType' => 'selectSingle',
								'default' => 0,
								'items' => [
										[ '', 0 ],
								],
								'foreign_table' => 'tx_tile_domain_model_area',
								'foreign_table_where' => 'AND {#tx_tile_domain_model_area}.{#pid}=###CURRENT_PID### AND {#tx_tile_domain_model_area}.{#sys_language_uid} IN (-1,0)',
						],
				],
				'l10n_diffsource' => [
						'config' => [
								'type' => 'passthrough',
						],
				],
				't3ver_label' => [
						'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.versionLabel',
						'config' => [
								'type' => 'input',
								'size' => 30,
								'max' => 255,
						],
				],
				'hidden' => [
						'exclude' => true,
						'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.visible',
						'config' => [
								'type' => 'check',
								'renderType' => 'checkboxToggle',
								'items' => [
										[
												0 => '',
												1 => '',
												'invertStateDisplay' => true
										]
								],
						],
				],
				'promptReadonly' => [
						'label' => 'LLL:EXT:tile/Resources/Private/Language/TCA/prompt.xlf:readonly.label',
						'config' => [
								'type' => 'user',
								'renderType' => 'Prompt',
								'parameters' => [
										'prompt' => 'editImage',
								],
						],
				],
				'starttime' => [
						'exclude' => true,
						'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.starttime',
						'config' => [
								'type' => 'input',
								'renderType' => 'inputDateTime',
								'eval' => 'datetime,int',
								'default' => 0,
								'behaviour' => [
										'allowLanguageSynchronization' => true
								]
						],
				],
				'endtime' => [
						'exclude' => true,
						'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.endtime',
						'config' => [
								'type' => 'input',
								'renderType' => 'inputDateTime',
								'eval' => 'datetime,int',
								'default' => 0,
								'range' => [
										'upper' => mktime( 0, 0, 0, 1, 1, 2038 )
								],
								'behaviour' => [
										'allowLanguageSynchronization' => true
								]
						],
				],
				'displaycell' => [
						'exclude' => true,
						'label' => 'LLL:EXT:tile/Resources/Private/Language/locallang_db.xlf:tx_tile_domain_model_area.displaycell',
						'onChange' => 'reload',
						'config' => [
								'type' => 'check',
								'renderType' => 'checkboxToggle',
								'items' => [
										[
												0 => '',
												1 => '',
										//'invertStateDisplay' => true
										]
								],
								'default' => 0,
						],
				],
				'title' => [
						'exclude' => true,
						'label' => 'LLL:EXT:tile/Resources/Private/Language/locallang_db.xlf:tx_tile_domain_model_area.title',
						'config' => [
								'type' => 'input',
								'size' => 30,
								'eval' => 'trim,required'
						],
				],
				'type' => [
						'exclude' => true,
						'label' => 'LLL:EXT:tile/Resources/Private/Language/locallang_db.xlf:tx_tile_domain_model_area.type',
						'config' => [
								'type' => 'select',
								'renderType' => 'selectSingle',
								'items' => [
										[ 'LLL:EXT:tile/Resources/Private/Language/locallang_db.xlf:tx_tile_domain_model_area.type.template', 0 ],
										[ 'LLL:EXT:tile/Resources/Private/Language/locallang_db.xlf:tx_tile_domain_model_area.type.clone', 1 ],
								],
								'size' => 1,
								'maxitems' => 1,
								'eval' => 'required',
								'default' => 0,
								'readOnly' => 1,
						],
				],
				'lenx' => [
						'exclude' => true,
						'label' => 'LLL:EXT:tile/Resources/Private/Language/locallang_db.xlf:tx_tile_domain_model_area.lenx',
						'config' => [
								'type' => 'input',
								'size' => 4,
								'eval' => 'int,required'
						]
				],
				'leny' => [
						'exclude' => true,
						'label' => 'LLL:EXT:tile/Resources/Private/Language/locallang_db.xlf:tx_tile_domain_model_area.leny',
						'config' => [
								'type' => 'input',
								'size' => 4,
								'eval' => 'int,required'
						],
				],
				'image' => [
						'exclude' => true,
						'label' => 'LLL:EXT:tile/Resources/Private/Language/locallang_db.xlf:tx_tile_domain_model_area.image',
						'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
										'image', [
								'appearance' => [
										'createNewRelationLinkTitle' => 'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:images.addFileReference'
								],
								'foreign_types' => [
										'0' => [
												'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
										],
										\TYPO3\CMS\Core\Resource\File::FILETYPE_TEXT => [
												'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
										],
										\TYPO3\CMS\Core\Resource\File::FILETYPE_IMAGE => [
												'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
										],
										\TYPO3\CMS\Core\Resource\File::FILETYPE_AUDIO => [
												'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
										],
										\TYPO3\CMS\Core\Resource\File::FILETYPE_VIDEO => [
												'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
										],
										\TYPO3\CMS\Core\Resource\File::FILETYPE_APPLICATION => [
												'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
										]
								],
								'maxitems' => 1
										], $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'GFX' ][ 'imagefile_ext' ]
						),
				],
				'tx_tile_cell' => [
						'exclude' => true,
						'label' => 'LLL:EXT:tile/Resources/Private/Language/locallang_db.xlf:tx_tile_domain_model_area.tx_tile_cell',
						'displayCond' => 'FIELD:displaycell:REQ:true',
						'config' => [
								'type' => 'inline',
								'foreign_table' => 'tx_tile_domain_model_cell',
								'foreign_field' => 'tx_tile_area',
								'maxitems' => 9999,
								'appearance' => [
										'collapseAll' => 1,
										'levelLinksPosition' => 'top',
										'showSynchronizationLink' => 1,
										'showPossibleLocalizationRecords' => 1,
										'showAllLocalizationLink' => 1
								],
						],
				],
		],
];
