<?php

$confArr = unserialize( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'tile' ] );

return [
		'ctrl' => [
				'title' => 'LLL:EXT:tile/Resources/Private/Language/locallang_db.xlf:tx_tile_domain_model_group',
				'label' => 'title',
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'default_sortby' => 'ORDER BY title',
				'versioningWS' => true,
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'hideTable' => $confArr[ 'tcaReadonly' ],
				'readOnly' => $confArr[ 'tcaReadonly' ],
				'rootLevel' => -1,
//				'delete' => 'deleted',
				'enablecolumns' => [
//						'disabled' => 'hidden',
//						'starttime' => 'starttime',
//						'endtime' => 'endtime',
				],
				'searchFields' => 'title',
				'iconfile' => 'EXT:tile/Resources/Public/Icons/tx_tile_domain_model_group.gif'
		],
		'interface' => [
				'showRecordFieldList' => ''
				. 'sys_language_uid, l10n_parent, l10n_diffsource,'
//				. 'hidden,'
				. 'title, '
				. 'tx_tile_cell, '
//				. 'tx_tile_ticket'
		,
		],
		'types' => [
				'1' => [
						'showitem' => ''
						. '  promptReadonly,'
//						. '  sys_language_uid, l10n_parent, l10n_diffsource, '
//						. '  hidden, '
						. '  title,'
						. '  tx_tile_cell,'
//						. '  tx_tile_ticket'
//						. '--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.access,'
//						. '  starttime, endtime' 
				],
		],
		'columns' => [
				'sys_language_uid' => [
						'exclude' => true,
						'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.language',
						'config' => [
								'type' => 'select',
								'renderType' => 'selectSingle',
								'special' => 'languages',
								'items' => [
										[
												'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.allLanguages',
												-1,
												'flags-multiple'
										]
								],
								'default' => 0,
						],
				],
				'l10n_parent' => [
						'displayCond' => 'FIELD:sys_language_uid:>:0',
						'exclude' => true,
						'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.l18n_parent',
						'config' => [
								'type' => 'select',
								'renderType' => 'selectSingle',
								'default' => 0,
								'items' => [
										[ '', 0 ],
								],
								'foreign_table' => 'tx_tile_domain_model_group',
								'foreign_table_where' => 'AND {#tx_tile_domain_model_group}.{#pid}=###CURRENT_PID### AND {#tx_tile_domain_model_group}.{#sys_language_uid} IN (-1,0)',
						],
				],
				'l10n_diffsource' => [
						'config' => [
								'type' => 'passthrough',
						],
				],
				't3ver_label' => [
						'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.versionLabel',
						'config' => [
								'type' => 'input',
								'size' => 30,
								'max' => 255,
						],
				],
				'hidden' => [
						'exclude' => true,
						'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.visible',
						'config' => [
								'type' => 'check',
								'renderType' => 'checkboxToggle',
								'items' => [
										[
												0 => '',
												1 => '',
												'invertStateDisplay' => true
										]
								],
						],
				],
				'promptReadonly' => [
						'label' => 'LLL:EXT:tile/Resources/Private/Language/TCA/prompt.xlf:readonly.label',
						'config' => [
								'type' => 'user',
								'renderType' => 'Prompt',
								'parameters' => [
										'prompt' => 'readonly',
								],
						],
				],
				'starttime' => [
						'exclude' => true,
						'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.starttime',
						'config' => [
								'type' => 'input',
								'renderType' => 'inputDateTime',
								'eval' => 'datetime,int',
								'default' => 0,
								'behaviour' => [
										'allowLanguageSynchronization' => true
								]
						],
				],
				'endtime' => [
						'exclude' => true,
						'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.endtime',
						'config' => [
								'type' => 'input',
								'renderType' => 'inputDateTime',
								'eval' => 'datetime,int',
								'default' => 0,
								'range' => [
										'upper' => mktime( 0, 0, 0, 1, 1, 2038 )
								],
								'behaviour' => [
										'allowLanguageSynchronization' => true
								]
						],
				],
				'title' => [
						'exclude' => true,
						'label' => 'LLL:EXT:tile/Resources/Private/Language/locallang_db.xlf:tx_tile_domain_model_group.title',
						'config' => [
								'type' => 'input',
								'size' => 30,
								'eval' => 'trim,required',
//								'readOnly' => 1,
						],
				],
				'tx_tile_cell' => [
						'exclude' => true,
						'label' => 'LLL:EXT:tile/Resources/Private/Language/locallang_db.xlf:tx_tile_domain_model_group.tx_tile_cell',
						'config' => [
								'type' => 'select',
								'renderType' => 'selectMultipleSideBySide',
								'foreign_table' => 'tx_tile_domain_model_cell',
								'foreign_field' => 'tx_tile_group',
//								'MM' => 'tx_tile_group_cell_mm',
								'size' => 10,
								'autoSizeMax' => 30,
								'maxitems' => 9999,
								'multiple' => 0,
								'fieldControl' => [
										'editPopup' => [
												'disabled' => false,
										],
										'addRecord' => [
												'disabled' => false,
										],
										'listModule' => [
												'disabled' => true,
										],
								],
//								'readOnly' => 1,
						],
				],
//				'tx_tile_ticket' => [
//						'exclude' => true,
//						'label' => 'LLL:EXT:tile/Resources/Private/Language/locallang_db.xlf:tx_tile_domain_model_group.tx_tile_ticket',
//						'config' => [
//								'type' => 'select',
//								'renderType' => 'selectSingle',
//								'foreign_table' => 'tx_tile_domain_model_ticket',
//								'minitems' => 0,
//								'maxitems' => 1,
////								'readOnly' => 1,
//						],
//				],
		],
];
