<?php

defined( 'TYPO3_MODE' ) || die( 'Access denied.' );

call_user_func( function()
{
	global $TCA;

	/*	 * ********************************************************************************************
	 * Register Modules
	 * ************************************************************************************************ */

	if( TYPO3_MODE === 'BE' )
	{

		\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
						'Netzmacher.Tile'
						, 'web' // Make module a submodule of 'web'
						, 'md1' // Submodule key
						, ''
						, // Position
						[
				'Module' => 'list'
				, 'Area' => 'create, createconfirm, delete, deleteconfirm, edit, new, show, update'
				, 'Category' => 'enable, updatecell'
				, 'Cell' => 'list, show, new, create, createShop, createTicket, delete, edit, updateTicket'
				, 'Shop' => 'create, createconfirm'
				, 'Ticket' => 'enable, updatecell'
						], [
				'access' => 'user,group',
				'icon' => 'EXT:tile/Resources/Public/Icons/user_mod_md1.svg',
				'labels' => 'LLL:EXT:tile/Resources/Private/Language/locallang_md1.xlf',
						]
		);
	}


	/*	 * ********************************************************************************************
	 * Add static templates
	 * ************************************************************************************************ */

	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( 'tile', 'Configuration/TypoScript', 'Book a tile!' );


	/*	 * ********************************************************************************************
	 * Table description files for localization and allowing tile tables on pages of type default
	 * ************************************************************************************************ */

	$tables = [
			Netzmacher\Tile\Domain\Model\Area::TABLE_NAME,
			Netzmacher\Tile\Domain\Model\Category::TABLE_NAME,
			Netzmacher\Tile\Domain\Model\Cell::TABLE_NAME,
			Netzmacher\Tile\Domain\Model\Css::TABLE_NAME,
			Netzmacher\Tile\Domain\Model\Group::TABLE_NAME,
			Netzmacher\Tile\Domain\Model\Ticket::TABLE_NAME,
	];
	foreach( $tables as $table )
	{
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr(
						$table, 'EXT:tile/Resources/Private/Language/locallang_csh_' . $table . '.xlf'
		);
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( $table );
	}

	/*	 * ****************************************************************************
	 * Add pagetree icons
	 * **************************************************************************** */

	$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance( \TYPO3\CMS\Core\Imaging\IconRegistry::class );

	$extIcon = array(
			'identifier' => 'contains-tile'
			, 'key' => 'tile' // <- Key must be the part behind contain- of the identifier!
			, 'label' => 'Book a tile!'
			, 'source' => 'EXT:tile/ext_icon.svg'
	);
	$iconRegistry->registerIcon(
					$extIcon[ 'identifier' ]
					, \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class
					, [ 'source' => $extIcon[ 'source' ] ]
	);
	$TCA[ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array(
			$extIcon[ 'label' ]
			, $extIcon[ 'key' ]
			, $extIcon[ 'identifier' ]
	);
	$TCA[ 'pages' ][ 'ctrl' ][ 'typeicon_classes' ][ $extIcon[ 'identifier' ] ] = $extIcon[ 'identifier' ];


	/*	 * ****************************************************************************
	 * Register Nodes
	 * **************************************************************************** */

	$GLOBALS[ 'TYPO3_CONF_VARS' ][ 'SYS' ][ 'formEngine' ][ 'nodeRegistry' ][ 1557902610 ] = [
			'nodeName' => 'Prompt',
			'priority' => 40,
			'class' => \Netzmacher\Tile\Tca\Form\Prompt::class,
	];
}
);
